Create phone number
curl --request POST \
--url https://api.helloannie.com/v1/phone-numbers \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"orgId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"botId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"areaCode": "<string>",
"verifiedCallerId": "<string>",
"callbackForwardingNumber": "<string>",
"customGreeting": "<string>",
"customClosedGreeting": "<string>"
}
'import requests
url = "https://api.helloannie.com/v1/phone-numbers"
payload = {
"orgId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"botId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"areaCode": "<string>",
"verifiedCallerId": "<string>",
"callbackForwardingNumber": "<string>",
"customGreeting": "<string>",
"customClosedGreeting": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
orgId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
botId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
name: '<string>',
areaCode: '<string>',
verifiedCallerId: '<string>',
callbackForwardingNumber: '<string>',
customGreeting: '<string>',
customClosedGreeting: '<string>'
})
};
fetch('https://api.helloannie.com/v1/phone-numbers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.helloannie.com/v1/phone-numbers",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'orgId' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'botId' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'name' => '<string>',
'areaCode' => '<string>',
'verifiedCallerId' => '<string>',
'callbackForwardingNumber' => '<string>',
'customGreeting' => '<string>',
'customClosedGreeting' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.helloannie.com/v1/phone-numbers"
payload := strings.NewReader("{\n \"orgId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"botId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"name\": \"<string>\",\n \"areaCode\": \"<string>\",\n \"verifiedCallerId\": \"<string>\",\n \"callbackForwardingNumber\": \"<string>\",\n \"customGreeting\": \"<string>\",\n \"customClosedGreeting\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.helloannie.com/v1/phone-numbers")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"orgId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"botId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"name\": \"<string>\",\n \"areaCode\": \"<string>\",\n \"verifiedCallerId\": \"<string>\",\n \"callbackForwardingNumber\": \"<string>\",\n \"customGreeting\": \"<string>\",\n \"customClosedGreeting\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.helloannie.com/v1/phone-numbers")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"orgId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"botId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"name\": \"<string>\",\n \"areaCode\": \"<string>\",\n \"verifiedCallerId\": \"<string>\",\n \"callbackForwardingNumber\": \"<string>\",\n \"customGreeting\": \"<string>\",\n \"customClosedGreeting\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"success": true,
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"orgId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"botId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"number": "<string>",
"name": "<string>",
"language": "ANY",
"outbound": true,
"verifiedCallerId": "<string>",
"callbackForwardingNumber": "<string>",
"voiceId": "FRIENDLY_BRIGHT",
"speed": 123,
"stability": 123,
"similarity": 123,
"style": 123,
"customGreeting": "<string>",
"customClosedGreeting": "<string>"
}
}{
"success": false,
"data": {},
"message": "<string>"
}{
"success": false,
"data": {},
"message": "<string>"
}{
"success": false,
"data": {},
"message": "<string>"
}{
"success": false,
"data": {},
"message": "<string>"
}Phone Numbers
Create phone number
Create a new phone number, associate it with an organization, and attach it to a bot.
POST
/
phone-numbers
Create phone number
curl --request POST \
--url https://api.helloannie.com/v1/phone-numbers \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"orgId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"botId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"areaCode": "<string>",
"verifiedCallerId": "<string>",
"callbackForwardingNumber": "<string>",
"customGreeting": "<string>",
"customClosedGreeting": "<string>"
}
'import requests
url = "https://api.helloannie.com/v1/phone-numbers"
payload = {
"orgId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"botId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"areaCode": "<string>",
"verifiedCallerId": "<string>",
"callbackForwardingNumber": "<string>",
"customGreeting": "<string>",
"customClosedGreeting": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
orgId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
botId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
name: '<string>',
areaCode: '<string>',
verifiedCallerId: '<string>',
callbackForwardingNumber: '<string>',
customGreeting: '<string>',
customClosedGreeting: '<string>'
})
};
fetch('https://api.helloannie.com/v1/phone-numbers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.helloannie.com/v1/phone-numbers",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'orgId' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'botId' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'name' => '<string>',
'areaCode' => '<string>',
'verifiedCallerId' => '<string>',
'callbackForwardingNumber' => '<string>',
'customGreeting' => '<string>',
'customClosedGreeting' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.helloannie.com/v1/phone-numbers"
payload := strings.NewReader("{\n \"orgId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"botId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"name\": \"<string>\",\n \"areaCode\": \"<string>\",\n \"verifiedCallerId\": \"<string>\",\n \"callbackForwardingNumber\": \"<string>\",\n \"customGreeting\": \"<string>\",\n \"customClosedGreeting\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.helloannie.com/v1/phone-numbers")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"orgId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"botId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"name\": \"<string>\",\n \"areaCode\": \"<string>\",\n \"verifiedCallerId\": \"<string>\",\n \"callbackForwardingNumber\": \"<string>\",\n \"customGreeting\": \"<string>\",\n \"customClosedGreeting\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.helloannie.com/v1/phone-numbers")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"orgId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"botId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"name\": \"<string>\",\n \"areaCode\": \"<string>\",\n \"verifiedCallerId\": \"<string>\",\n \"callbackForwardingNumber\": \"<string>\",\n \"customGreeting\": \"<string>\",\n \"customClosedGreeting\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"success": true,
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"orgId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"botId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"number": "<string>",
"name": "<string>",
"language": "ANY",
"outbound": true,
"verifiedCallerId": "<string>",
"callbackForwardingNumber": "<string>",
"voiceId": "FRIENDLY_BRIGHT",
"speed": 123,
"stability": 123,
"similarity": 123,
"style": 123,
"customGreeting": "<string>",
"customClosedGreeting": "<string>"
}
}{
"success": false,
"data": {},
"message": "<string>"
}{
"success": false,
"data": {},
"message": "<string>"
}{
"success": false,
"data": {},
"message": "<string>"
}{
"success": false,
"data": {},
"message": "<string>"
}Authorizations
Body
application/jsonapplication/x-www-form-urlencodedmultipart/form-data
Payload required to purchase and create a new phone number. A botId, language, and voiceId are required. The voiceId must support the requested language.
The voice of the phone number. Each voice supports a single language and must match the phone number's language: WARM_ENGLISH_SPANISH requires ENGLISH_SPANISH, WARM_SPANISH requires SPANISH, WARM_FRENCH requires FRENCH, WARM_MANDARIN requires MANDARIN, and all other voices require ENGLISH.
Available options:
FRIENDLY_BRIGHT, CALM_REASSURING, POLISHED_PROFESSIONAL, KIND_CURIOUS, CONFIDENT_UPBEAT, WARM_ENGLISH_SPANISH, WARM_SPANISH, WARM_FRENCH, WARM_MANDARIN